<?php
/**
 * Plugin Name: 自适应主题（专业版）
 * Plugin URI: https://www.gechiui.com/plugins/adaptive-addon
 * Secret Key: 83a5bb0e2ad5164690bc7a42ae592cf5
 * Description: 这个插件是自适应主题的附加组件。它提供了优质的功能和功能，在下一个层次上提升您的主题体验。
 * Version: 3.6.11
 * Author: GeChiUI
 * Author URI: https://www.gechiui.com
 * Text Domain: adaptive-addon
 *
 * @package Adaptive Addon
 */

if(get_pro_license_valid()) {
    $brainstrom = get_option( 'brainstrom_products' );
    $brainstrom['plugins']['adaptive-addon']['status'] = 'registered';
    update_option( 'brainstrom_products', $brainstrom );
}else{
    delete_option( 'brainstrom_products' );
}

if ( 'adaptive' !== get_template() ) {
	return;
}

/**
 * Set constants.
 */
define( 'ADAPTIVE_EXT_FILE', __FILE__ ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_EXT_BASE', plugin_basename( ADAPTIVE_EXT_FILE ) ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_EXT_DIR', plugin_dir_path( ADAPTIVE_EXT_FILE ) ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_EXT_URI', plugins_url( '/', ADAPTIVE_EXT_FILE ) ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_EXT_VER', '3.6.11' ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_EXT_TEMPLATE_DEBUG_MODE', false ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound

/**
 * Minimum Version requirement of the Adaptive Theme.
 * This will display the notice asking user to update the theme to the version defined below.
 */
define( 'ADAPTIVE_THEME_MIN_VER', '3.8.3' ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound

// 'ast-container' has 20px left, right padding. For pixel perfect added ( twice ) 40px padding to the 'ast-container'.
// E.g. If width set 1200px then with padding left ( 20px ) & right ( 20px ) its 1240px for 'ast-container'. But, Actual contents are 1200px.
define( 'ADAPTIVE_THEME_CONTAINER_PADDING', 20 ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_THEME_CONTAINER_PADDING_TWICE', ( 20 * 2 ) ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_THEME_CONTAINER_BOX_PADDED_PADDING', 40 ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound
define( 'ADAPTIVE_THEME_CONTAINER_BOX_PADDED_PADDING_TWICE', ( 40 * 2 ) ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound

/**
 * Update Adaptive Addon
 */
require_once ADAPTIVE_EXT_DIR . 'classes/class-adaptive-addon-update.php';
require_once ADAPTIVE_EXT_DIR . 'classes/adaptive-addon-update-functions.php';
require_once ADAPTIVE_EXT_DIR . 'classes/class-adaptive-addon-background-updater.php';

/**
 * Inluding Filesystem adaptive_addon_filesystem
 */
require_once ADAPTIVE_EXT_DIR . 'classes/class-adaptive-addon-filesystem.php';

/**
 * Extensions
 */
require_once ADAPTIVE_EXT_DIR . 'classes/class-adaptive-theme-extension.php';

/**
 * Builder Core Files.
 */
require_once ADAPTIVE_EXT_DIR . 'classes/builder/class-adaptive-addon-builder-helper.php';


/**
 * Header Footer Builder
 */
require_once ADAPTIVE_EXT_DIR . 'classes/class-adaptive-builder.php';

/**
 * Load deprecated functions
 */
require_once ADAPTIVE_EXT_DIR . 'classes/deprecated/deprecated-functions.php';

/**
 * Brainstorm Updater.
 */
require_once ADAPTIVE_EXT_DIR . 'class-brainstorm-update-adaptive-addon.php';
/* Anti-Leecher Indentifier */
/* Credited By BABIATO-FORUM */