<?php
/**
 * Advanced Footer - Panels & Sections
 *
 * @package Adaptive Addon
 */

// Block direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Bail if Customizer config base class does not exist.
if ( ! class_exists( 'Adaptive_Customizer_Config_Base' ) ) {
	return;
}

if ( ! class_exists( 'Adaptive_Advanced_Footer_Panels_Configs' ) ) {

	/**
	 * Register Advanced Footer Layout Customizer Configurations.
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Advanced_Footer_Panels_Configs extends Adaptive_Customizer_Config_Base { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Register Advanced Footer Layout Customizer Configurations.
		 *
		 * @param Array                $configurations Adaptive Customizer Configurations.
		 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
		 * @since 1.4.3
		 * @return Array Adaptive Customizer Configurations with updated configurations.
		 */
		public function register_configuration( $configurations, $gc_customize ) {

			$_config = array(

				array(
					'name'     => 'section-footer-adv',
					'type'     => 'section',
					'title'    => __( '页脚小工具', 'adaptive-addon' ),
					'section'  => 'section-footer-group',
					'priority' => 5,
				),
			);

			return array_merge( $configurations, $_config );
		}

	}
}

new Adaptive_Advanced_Footer_Panels_Configs();
