<?php
/**
 * Advanced Headers Bar Extension
 *
 * @package Adaptive Addon
 */

define( 'ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR', ADAPTIVE_EXT_DIR . 'addons/advanced-headers/' );
define( 'ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_URL', ADAPTIVE_EXT_URI . 'addons/advanced-headers/' );

if ( ! class_exists( 'Adaptive_Ext_Advanced_Headers' ) ) {

	/**
	 * Advanced Headers Initial Setup
	 *
	 * @since 1.0.0
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Ext_Advanced_Headers { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Member Variable
		 *
		 * @var object instance
		 */
		private static $instance;

		/**
		 *  Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		/**
		 * Constructor function that initializes required actions and hooks
		 */
		public function __construct() {
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'classes/class-adaptive-ext-advanced-headers-loader.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'classes/class-adaptive-ext-advanced-headers-markup.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'classes/class-adaptive-ext-advanced-headers-meta.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'compatibility/class-adaptive-advanced-headers-subtitles.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'classes/class-adaptive-ext-header-sections-markup-compatibility.php';

			// Include front end files.
			if ( ! is_admin() ) {
				require_once ADAPTIVE_ADDON_EXT_ADVANCED_HEADERS_DIR . 'classes/dynamic.css.php';
			}

		}
	}

	/**
	 *  Kicking this off by calling 'get_instance()' method
	 */
	Adaptive_Ext_Advanced_Headers::get_instance();

}
