<?php
/**
 * The title bar style 1 for our theme.
 *
 * This template generates markup required for the title bar style 1
 *
 * @todo Update this template for Default Advanced Headers Style
 *
 * @package Adaptive Addon
 */

$adaptive_addon_show_breadcrumb       = Adaptive_Ext_Advanced_Headers_Loader::adaptive_advanced_headers_layout_option( 'breadcrumb' );
$adaptive_addon_is_breadcrumb_enabled = '';
$adaptive_addon_header_title          = apply_filters( 'adaptive_advanced_header_title', adaptive_get_the_title() );
$adaptive_addon_header_description    = apply_filters( 'adaptive_advanced_header_description', get_the_archive_description() );

if ( $adaptive_addon_show_breadcrumb ) {
	$adaptive_addon_is_breadcrumb_enabled = $adaptive_addon_show_breadcrumb;
}

?>
<div class="ast-inside-advanced-header-content">
	<div class="ast-advanced-headers-layout ast-advanced-headers-layout-1" >
		<div class="ast-container">
			<div class="ast-advanced-headers-wrap">
				<?php do_action( 'adaptive_advanced_header_layout_1_wrap_top' ); ?>
				<?php
				if ( $adaptive_addon_header_title ) {
					echo sprintf(
						'<%1$s class="ast-advanced-headers-title">
							%2$s
							%3$s
							%4$s
						</%1$s>',
						/**
						 * Filters the tags for Advanced Header Title - Layout 1.
						 *
						 * @since 2.1.3
						 *
						 * @param string $tags string containing the HTML tags for Advanced Header title.
						 */
						esc_html( apply_filters( 'adaptive_advanced_header_layout_1_title_tag', 'h1' ) ),
						do_action( 'adaptive_advanced_header_layout_1_before_title' ), // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped
						apply_filters( 'adaptive_advanced_header_layout_1_title', $adaptive_addon_header_title ), // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped
						do_action( 'adaptive_advanced_header_layout_1_after_title' ) // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped
					);
				}
				do_action( 'adaptive_advanced_header_layout_1_after_title_tag' );
				if ( $adaptive_addon_header_description ) {
					?>
				<div class="taxonomy-description">
					<?php do_action( 'adaptive_advanced_header_layout_1_before_description' ); ?>
					<?php echo apply_filters( 'adaptive_advanced_header_layout_1_description', gc_kses_post( $adaptive_addon_header_description ) ); // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped ?>
					<?php do_action( 'adaptive_advanced_header_layout_1_after_description' ); ?>
				</div>
				<?php } ?>

				<?php do_action( 'adaptive_advanced_header_layout_1_wrap_bottom' ); ?>
			</div>
	<?php if ( $adaptive_addon_is_breadcrumb_enabled ) { ?>
			<div class="ast-advanced-headers-breadcrumb">
				<?php Adaptive_Ext_Advanced_Headers_Markup::advanced_headers_breadcrumbs_markup(); ?>
			</div><!-- .ast-advanced-headers-breadcrumb -->
	<?php } ?>
		</div>
	</div>
</div>
