<?php
/**
 * Advanced Hooks Bar Extension
 *
 * @package Adaptive Addon
 */

define( 'ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR', ADAPTIVE_EXT_DIR . 'addons/advanced-hooks/' );
define( 'ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_URL', ADAPTIVE_EXT_URI . 'addons/advanced-hooks/' );
define( 'ADAPTIVE_ADVANCED_HOOKS_POST_TYPE', 'adaptive-advanced-hook' ); // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedConstantFound

if ( ! class_exists( 'Adaptive_Ext_Advanced_Hooks' ) ) {

	/**
	 * Advanced Hooks Initial Setup
	 *
	 * @since 1.0.0
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Ext_Advanced_Hooks { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Member Variable
		 *
		 * @var object instance
		 */
		private static $instance;

		/**
		 *  Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		/**
		 * Constructor function that initializes required actions and hooks
		 */
		public function __construct() {
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR . 'classes/class-adaptive-gc-block-parser.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR . 'classes/class-adaptive-ext-advanced-hooks-loader.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR . 'classes/class-adaptive-ext-advanced-hooks-markup.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR . 'classes/class-adaptive-ext-advanced-hooks-meta.php';
			require_once ADAPTIVE_ADDON_EXT_ADVANCED_HOOKS_DIR . 'classes/ext-advanced-hooks-dynamic.css.php';
		}
	}

	/**
	 *  Kicking this off by calling 'get_instance()' method
	 */
	Adaptive_Ext_Advanced_Hooks::get_instance();

}
