<?php
/**
 * Advanced Hooks - Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_ext_advanced_hooks_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_ext_advanced_hooks_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$css = '';

	$common_desktop_css_output = array(
		'.ast-hide-display-device-desktop' => array(
			'display' => 'none',
		),
	);
	$common_tablet_css_output  = array(
		'.ast-hide-display-device-tablet' => array(
			'display' => 'none',
		),
	);
	$common_mobile_css_output  = array(
		'.ast-hide-display-device-mobile' => array(
			'display' => 'none',
		),
	);

	// Common options of Above Header.
	$css .= adaptive_parse_css( $common_desktop_css_output, adaptive_addon_get_tablet_breakpoint( '', 1 ) );
	$css .= adaptive_parse_css( $common_tablet_css_output, adaptive_addon_get_mobile_breakpoint( '', 1 ), adaptive_addon_get_tablet_breakpoint() );
	$css .= adaptive_parse_css( $common_mobile_css_output, '', adaptive_addon_get_mobile_breakpoint() );

	return $dynamic_css . $css;
}
