import { registerPlugin } from '@gechiui/plugins';
import customLayout from './settings';
import AstPluginInstallNotice from './ast-plugin-install-notice';
import { __ } from '@gechiui/i18n';

registerPlugin( 'adaptive-custom-layout', { render: customLayout } );

// Checking if plugin is activated, If false then registers the plugin
if( ! astCustomLayout.isPluginActivated ) {

	// Registers plugin
	registerPlugin( 'adaptive-plugin-install-notice', {
		render: AstPluginInstallNotice,
		icon: false
	} );

	// Set plugin slug
	const pluginSlug = 'adaptive-plugin-install-notice/ast-plugin-install-panel';

	// Variable to check if the panel is opened
	const isPanelOpened = gc.data.select( 'core/edit-post' ).isEditorPanelOpened( pluginSlug );

	// Toggles the panel open if its closed
	if( ! isPanelOpened ) {
		gc.data
		.dispatch( 'core/edit-post' )
		.toggleEditorPanelOpened(
			pluginSlug
		);
	}
}
