<?php
/**
 * Mega Menu - Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_addon_adv_search_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_addon_adv_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {
	$css = '';
	if ( false === Adaptive_Icons::is_svg_icons() ) {
		$search_close_btn = array(
			'.ast-search-box.header-cover #close::before, .ast-search-box.full-screen #close::before' => array(
				'font-family' => 'Adaptive',
				'content'     => '"\e5cd"',
				'display'     => 'inline-block',
				'transition'  => 'transform .3s ease-in-out',
			),
		);

		/* Parse CSS from array() */
		$css .= adaptive_parse_css( $search_close_btn );
	}

	return $dynamic_css . $css;
}
