<?php
/**
 * Search CSS - Addon is updated and theme is not updated to v3.2.0.
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_addon_advanced_search_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_addon_advanced_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$parse_css = '';

	$adv_search_css = '
	.adaptive-hfb-header .ast-search-box.full-screen.full-screen ::-webkit-input-placeholder {
		opacity: 0.5;
	}

	.adaptive-hfb-header .ast-search-box.full-screen.full-screen ::-moz-placeholder {
		/* Firefox 19+ */
		opacity: 0.5;
	}

	.adaptive-hfb-header .ast-search-box.full-screen.full-screen :-ms-input-placeholder {
		/* IE 10+ */
		opacity: 0.5;
	}

	.adaptive-hfb-header .ast-search-box.full-screen.full-screen :-moz-placeholder {
		/* Firefox 18- */
		opacity: 0.5;
	}';

	if ( is_rtl() ) {

		$adv_search_css .= '
		.adaptive-hfb-header .ast-search-box.full-screen.full-screen ::-webkit-input-placeholder {
			opacity: 0.5;
		}

		.adaptive-hfb-header .ast-search-box.full-screen.full-screen ::-moz-placeholder {
			/* Firefox 19+ */
			opacity: 0.5;
		}

		.adaptive-hfb-header .ast-search-box.full-screen.full-screen :-ms-input-placeholder {
			/* IE 10+ */
			opacity: 0.5;
		}

		.adaptive-hfb-header .ast-search-box.full-screen.full-screen :-moz-placeholder {
			/* Firefox 18- */
			opacity: 0.5;
		}
		';
	}

	$parse_css .= Adaptive_Enqueue_Scripts::trim_css( $adv_search_css );

	return $dynamic_css . $parse_css;
}
