<?php
/**
 * Blog Pro Extension
 *
 * @package Adaptive Addon
 */

define( 'ADAPTIVE_ADDON_EXT_BLOG_PRO_DIR', ADAPTIVE_EXT_DIR . 'addons/blog-pro/' );
define( 'ADAPTIVE_ADDON_EXT_BLOG_PRO_URI', ADAPTIVE_EXT_URI . 'addons/blog-pro/' );

if ( ! class_exists( 'Adaptive_Ext_Blog_Pro' ) ) {

	/**
	 * Blog Pro Initial Setup
	 *
	 * @since 1.0.0
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Ext_Blog_Pro { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Member Variable
		 *
		 * @var object instance
		 */
		private static $instance;

		/**
		 *  Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		/**
		 * Constructor function that initializes required actions and hooks
		 */
		public function __construct() {

			require_once ADAPTIVE_ADDON_EXT_BLOG_PRO_DIR . 'classes/class-adaptive-ext-blog-pro-images-resizer.php';
			require_once ADAPTIVE_ADDON_EXT_BLOG_PRO_DIR . 'classes/class-adaptive-ext-blog-pro-loader.php';
			require_once ADAPTIVE_ADDON_EXT_BLOG_PRO_DIR . 'classes/class-adaptive-ext-blog-pro-markup.php';

			// Include front end files.
			if ( ! is_admin() ) {
				require_once ADAPTIVE_ADDON_EXT_BLOG_PRO_DIR . 'classes/dynamic.php';
			}

		}
	}

	/**
	 *  Kicking this off by calling 'get_instance()' method
	 */
	Adaptive_Ext_Blog_Pro::get_instance();

}
