<?php
/**
 * Advanced Header - Panels & Sections
 *
 * @package Adaptive Addon
 */

// Block direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Bail if Customizer config base class does not exist.
if ( ! class_exists( 'Adaptive_Customizer_Config_Base' ) ) {
	return;
}

if ( ! class_exists( 'Adaptive_Header_Section_Panels_Configs' ) ) {

	/**
	 * Register Header Layout Customizer Configurations.
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Header_Section_Panels_Configs extends Adaptive_Customizer_Config_Base {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Register Header Layout Customizer Configurations.
		 *
		 * @param Array                $configurations Adaptive Customizer Configurations.
		 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
		 * @since 1.4.3
		 * @return Array Adaptive Customizer Configurations with updated configurations.
		 */
		public function register_configuration( $configurations, $gc_customize ) {

			$_config = array(

				array(
					'name'     => 'section-below-header',
					'type'     => 'section',
					'title'    => __( '页眉下方', 'adaptive-addon' ),
					'panel'    => 'panel-header-group',
					'priority' => 30,
				),

				array(
					'name'     => 'section-above-header',
					'type'     => 'section',
					'title'    => __( '页眉上方', 'adaptive-addon' ),
					'panel'    => 'panel-header-group',
					'priority' => 20,
				),

				/*
				 * Update the Above Header section
				 *
				 * @since 1.4.0
				 */
				array(
					'name'     => 'section-mobile-header-above-header',
					'type'     => 'section',
					'priority' => 5,
					'title'    => __( '页眉上方', 'adaptive-addon' ),
					'section'  => 'section-mobile-header',
				),

				/*
				 * Update the Below Header section
				 *
				 * @since 1.4.0
				 */
				array(
					'name'     => 'section-mobile-header-below-header',
					'priority' => 15,
					'type'     => 'section',
					'title'    => __( '页眉下方', 'adaptive-addon' ),
					'section'  => 'section-mobile-header',
				),
			);

			return array_merge( $configurations, $_config );
		}

	}
}

new Adaptive_Header_Section_Panels_Configs();
