<?php
/**
 * Above Header Layout 1
 *
 * This template generates markup required for the Above Header style 1
 *
 * @todo Update this template for Default Above Header Style
 *
 * @package Adaptive Addon
 */

$adaptive_addon_abv_header_section_1 = Adaptive_Ext_Header_Sections_Markup::get_above_header_section( 'above-header-section-1' );
$adaptive_addon_abv_header_section_2 = Adaptive_Ext_Header_Sections_Markup::get_above_header_section( 'above-header-section-2' );


$adaptive_addon_section_1_value = adaptive_get_option( 'above-header-section-1' );
$adaptive_addon_section_2_value = adaptive_get_option( 'above-header-section-2' );
/**
 * Hide above header markup if:
 *
 * - User is not logged in. [AND]
 * - Sections 1 / 2 is set to none
 */
if ( empty( $adaptive_addon_abv_header_section_1 ) && empty( $adaptive_addon_abv_header_section_2 ) ) {
	return;
}
?>

<div class="ast-above-header-wrap ast-above-header-1" >
	<div class="ast-above-header">
		<?php do_action( 'adaptive_above_header_top' ); ?>
		<div class="ast-container">
			<div class="ast-flex ast-above-header-section-wrap">
				<?php if ( ! empty( $adaptive_addon_abv_header_section_1 ) ) { ?>
					<div class="ast-above-header-section ast-above-header-section-1 ast-flex ast-justify-content-flex-start <?php echo esc_attr( $adaptive_addon_section_1_value ); ?>-above-header" >
						<?php echo $adaptive_addon_abv_header_section_1; // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped ?>
					</div>
				<?php } ?>

				<?php if ( ! empty( $adaptive_addon_abv_header_section_2 ) ) { ?>
					<div class="ast-above-header-section ast-above-header-section-2 ast-flex ast-justify-content-flex-end <?php echo esc_attr( $adaptive_addon_section_2_value ); ?>-above-header" >
						<?php echo $adaptive_addon_abv_header_section_2; // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped ?>
					</div>
				<?php } ?>
			</div>
		</div><!-- .ast-container -->
		<?php do_action( 'adaptive_above_header_bottom' ); ?>
	</div><!-- .ast-above-header -->
</div><!-- .ast-above-header-wrap -->
