/**
 * This file adds some LIVE to the Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and
 * then make any necessary changes to the page using jQuery.
 *
 * @package Adaptive Addon
 * @since  1.6.0
 */
( function( $ ) {

	// Above Header.

	adaptive_css( 'adaptive-settings[above-header-megamenu-heading-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[above-header-megamenu-heading-h-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .sub-menu .menu-item.menu-item-heading:hover > .menu-link, .ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .sub-menu.menu-item .menu-item-heading:focus > .menu-link, .ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .sub-menu .menu-item.menu-item-heading.focus > .menu-link, .ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .sub-menu .menu-item.menu-item-heading > .menu-link:hover' );
	adaptive_responsive_spacing( 'adaptive-settings[above-header-megamenu-heading-space]','.ast-desktop .ast-above-header-navigation .ast-mega-menu-enabled.ast-above-header-menu .adaptive-megamenu .menu-item-heading > .menu-link', 'padding', ['top', 'right', 'bottom', 'left' ] );
	
	adaptive_generate_outside_font_family_css( 'adaptive-settings[above-header-megamenu-heading-font-family]', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[above-header-megamenu-heading-font-weight]', 'font-weight', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link' );
	adaptive_responsive_font_size( 'adaptive-settings[above-header-megamenu-heading-font-size]', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[above-header-megamenu-heading-text-transform]', 'text-transform', '.ast-desktop .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link' );

	// Primary Header.
	adaptive_css( 'adaptive-settings[primary-header-megamenu-heading-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[primary-header-megamenu-heading-h-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item.menu-item-heading > .menu-link:hover, .ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item.menu-item-heading > .menu-link:focus' );
	adaptive_responsive_spacing( 'adaptive-settings[primary-header-megamenu-heading-space]','.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link', 'padding', ['top', 'right', 'bottom', 'left' ] );

	adaptive_generate_outside_font_family_css( 'adaptive-settings[primary-header-megamenu-heading-font-family]', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[primary-header-megamenu-heading-font-weight]', 'font-weight', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link' );
	adaptive_responsive_font_size( 'adaptive-settings[primary-header-megamenu-heading-font-size]', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[primary-header-megamenu-heading-text-transform]', 'text-transform', '.ast-desktop .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link' );

	// Below Header.
	adaptive_css( 'adaptive-settings[below-header-megamenu-heading-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[below-header-megamenu-heading-h-color]', 'color', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link:hover, .ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link:focus, .ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link.focus' );
	
	adaptive_responsive_spacing( 'adaptive-settings[below-header-megamenu-heading-space]','.ast-desktop .ast-below-header-navigation .ast-mega-menu-enabled.ast-below-header-menu .adaptive-megamenu .menu-item-heading > .menu-link', 'padding', ['top', 'right', 'bottom', 'left' ] );
	adaptive_responsive_font_size( 'adaptive-settings[below-header-megamenu-heading-font-size]', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[below-header-megamenu-heading-text-transform]', 'text-transform', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );

	adaptive_generate_outside_font_family_css( 'adaptive-settings[below-header-megamenu-heading-font-family]', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[below-header-megamenu-heading-font-weight]', 'font-weight', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_responsive_font_size( 'adaptive-settings[below-header-megamenu-heading-font-size]', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[below-header-megamenu-heading-text-transform]', 'text-transform', '.ast-desktop .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );

	// Sticky Above Header.
	adaptive_css( 'adaptive-settings[sticky-above-header-megamenu-heading-color]', 'color', '.ast-desktop.ast-below-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link, .ast-desktop.ast-below-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[sticky-above-header-megamenu-heading-h-color]', 'color', '.ast-desktop.ast-above-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link:hover, .ast-desktop.ast-above-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link:focus, .ast-desktop.ast-above-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link.focus, .ast-desktop.ast-above-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link:hover, .ast-desktop.ast-above-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link:focus, .ast-desktop.ast-above-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-above-header-menu .menu-item-heading > .menu-link.focus' );

	// Sticky Below Header.
	adaptive_css( 'adaptive-settings[sticky-below-header-megamenu-heading-color]', 'color', '.ast-desktop.ast-below-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link, .ast-desktop.ast-below-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[sticky-below-header-megamenu-heading-h-color]', 'color', '.ast-desktop.ast-below-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link:hover, .ast-desktop.ast-below-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link:focus, .ast-desktop.ast-below-sticky-header-active .ast-mega-menu-enabled .menu-item-heading > .menu-link.focus, .ast-desktop.ast-below-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link:hover, .ast-desktop.ast-below-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link:focus, .ast-desktop.ast-below-sticky-header-active #ast-fixed-header .ast-mega-menu-enabled.ast-below-header-menu .menu-item-heading > .menu-link.focus' );
	
	// Sticky Primary Header.
	adaptive_css( 'adaptive-settings[sticky-primary-header-megamenu-heading-color]', 'color', '.ast-desktop.ast-primary-sticky-header-active .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item.menu-item-heading > .menu-link, .ast-desktop #ast-fixed-header .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item.menu-item-heading > .menu-link' );
	adaptive_css( 'adaptive-settings[sticky-primary-header-megamenu-heading-h-color]', 'color', '.ast-desktop.ast-primary-sticky-header-active .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link:hover, .ast-desktop.ast-primary-sticky-header-active .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link:focus, .ast-desktop.ast-primary-sticky-header-active .ast-mega-menu-enabled.main-header-menu .menu-item-heading > .menu-link.focus, .ast-desktop #ast-fixed-header .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item-heading > .menu-link:hover, .ast-desktop #ast-fixed-header .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item-heading > .menu-link:focus, .ast-desktop #ast-fixed-header .ast-mega-menu-enabled.main-header-menu .sub-menu .menu-item-heading > .menu-link.focus' );
	/**
	 * Primary Submenu border
	 */
	gc.customize( 'adaptive-settings[primary-submenu-border]', function( value ) {
		value.bind( function( border ) {

			var color = (typeof ( gc.customize._value['adaptive-settings[primary-submenu-b-color]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[primary-submenu-b-color]']._value : '';

			if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
				var dynamicStyle  = '.ast-desktop .main-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
					dynamicStyle += '{';
					dynamicStyle += 'border-top-width:'   + border.top + 'px;';
					dynamicStyle += 'border-left-width:'   + border.left + 'px;';
					dynamicStyle += 'border-right-width:'   + border.right + 'px;';
					dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
					dynamicStyle += 'border-color:' + color + ';';
					dynamicStyle += 'border-style: solid;';
					dynamicStyle += '}';
					adaptive_add_dynamic_css( 'primary-megamenu-border', dynamicStyle );
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	/**
	 * Primary Submenu border color
	 */
	gc.customize( 'adaptive-settings[primary-submenu-b-color]', function( value ) {
		value.bind( function( color ) {

			var border = (typeof ( gc.customize._value['adaptive-settings[primary-submenu-border]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[primary-submenu-border]']._value : '';
			if ( '' != color ) {
				if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
					var dynamicStyle  = '.ast-desktop .main-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
						dynamicStyle += '{';
						dynamicStyle += 'border-top-width:'   + border.top + 'px;';
						dynamicStyle += 'border-left-width:'   + border.left + 'px;';
						dynamicStyle += 'border-right-width:'   + border.right + 'px;';
						dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
						dynamicStyle += 'border-color:' + color + ';';
						dynamicStyle += 'border-style: solid;';
						dynamicStyle += '}';
						adaptive_add_dynamic_css( 'primary-megamenu-border-color', dynamicStyle );
				}
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	/**
	 * Above header submenu border
	 */
	gc.customize( 'adaptive-settings[above-header-submenu-border]', function( value ) {
		value.bind( function( border ) {

			var color = (typeof ( gc.customize._value['adaptive-settings[above-header-submenu-border-color]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[above-header-submenu-border-color]']._value : '';


			if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
				var dynamicStyle  = '.astub-menu, .ast-above-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
					dynamicStyle += '{';
					dynamicStyle += 'border-top-width:'  + border.top + 'px;';
					dynamicStyle += 'border-right-width:'  + border.right + 'px;';
					dynamicStyle += 'border-left-width:'   + border.left + 'px;';
					dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
					dynamicStyle += 'border-style: solid;';
					dynamicStyle += 'border-color:' + color + ';';
					dynamicStyle += '}';

				adaptive_add_dynamic_css( 'above-header-megamenu-border', dynamicStyle );
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	/**
	 * Above header submenu border color
	 */
	gc.customize( 'adaptive-settings[above-header-submenu-border-color]', function( value ) {
		value.bind( function( color ) {

			var border = (typeof ( gc.customize._value['adaptive-settings[above-header-submenu-border]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[above-header-submenu-border]']._value : '';


			if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
				var dynamicStyle  = '.astub-menu, .ast-above-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
					dynamicStyle += '{';
					dynamicStyle += 'border-top-width:'  + border.top + 'px;';
					dynamicStyle += 'border-right-width:'  + border.right + 'px;';
					dynamicStyle += 'border-left-width:'   + border.left + 'px;';
					dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
					dynamicStyle += 'border-style: solid;';
					dynamicStyle += 'border-color:' + color + ';';
					dynamicStyle += '}';

				adaptive_add_dynamic_css( 'above-header-megamenu-border-color', dynamicStyle );
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	/**
	 * Below header submenu border
	 */
	gc.customize( 'adaptive-settings[below-header-submenu-border]', function( value ) {
		value.bind( function( border ) {

			var color = (typeof ( gc.customize._value['adaptive-settings[below-header-submenu-border-color]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[below-header-submenu-border-color]']._value : '';

			if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
				var dynamicStyle  = '.astub-menu, .ast-below-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
					dynamicStyle += '{';
					dynamicStyle += 'border-top-width:'  + border.top + 'px;';
					dynamicStyle += 'border-right-width:'  + border.right + 'px;';
					dynamicStyle += 'border-left-width:'   + border.left + 'px;';
					dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
					dynamicStyle += 'border-style: solid;';
					dynamicStyle += 'border-color:' + color + ';';
					dynamicStyle += '}';

				adaptive_add_dynamic_css( 'below-header-megamenu-border', dynamicStyle );
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	/**
	 * Below header submenu border color
	 */
	gc.customize( 'adaptive-settings[below-header-submenu-border-color]', function( value ) {
		value.bind( function( color ) {

			var border = (typeof ( gc.customize._value['adaptive-settings[below-header-submenu-border]'] ) != 'undefined' ) ? gc.customize._value['adaptive-settings[below-header-submenu-border]']._value : '';

			if( '' != border.top || '' != border.right || '' != border.bottom || '' != border.left ) {
				var dynamicStyle  = '.astub-menu, .ast-below-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper';
					dynamicStyle += '{';
					dynamicStyle += 'border-top-width:'  + border.top + 'px;';
					dynamicStyle += 'border-right-width:'  + border.right + 'px;';
					dynamicStyle += 'border-left-width:'   + border.left + 'px;';
					dynamicStyle += 'border-bottom-width:'   + border.bottom + 'px;';
					dynamicStyle += 'border-style: solid;';
					dynamicStyle += 'border-color:' + color + ';';
					dynamicStyle += '}';

				adaptive_add_dynamic_css( 'below-header-megamenu-border-color', dynamicStyle );
			} else {
				gc.customize.preview.send( 'refresh' );
			}
		} );
	} );

	adaptive_color_responsive_css( 'above-header-megamenu-bg', 'adaptive-settings[above-header-submenu-bg-color-responsive]', 'background-color', '.ast-above-header-menu.ast-mega-menu-enabled.submenu-with-border .adaptive-full-megamenu-wrapper' );
	
} )( jQuery );