<?php
/**
 * Spacing Extension
 *
 * @package Adaptive Addon
 */

define( 'ADAPTIVE_ADDON_EXT_SPACING_DIR', ADAPTIVE_EXT_DIR . 'addons/spacing/' );
define( 'ADAPTIVE_ADDON_EXT_SPACING_URL', ADAPTIVE_EXT_URI . 'addons/spacing/' );

if ( ! class_exists( 'Adaptive_Ext_Spacing' ) ) {

	/**
	 * Spacing Initial Setup
	 *
	 * @since 1.2.0
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Ext_Spacing {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Member Variable
		 *
		 * @var object instance
		 */
		private static $instance;

		/**
		 *  Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		/**
		 * Constructor function that initializes required actions and hooks
		 */
		public function __construct() {

			// Adaptive_Control_Responsive_Spacing introduced in Adaptive 1.2.0.
			// If found older version then do not load any settings from customizer.
			if ( version_compare( ADAPTIVE_THEME_VERSION, '1.2.0', '>=' ) ) {
				require_once ADAPTIVE_ADDON_EXT_SPACING_DIR . 'classes/class-adaptive-ext-spacing-loader.php';

				// Include front end files.
				if ( ! is_admin() ) {
					require_once ADAPTIVE_ADDON_EXT_SPACING_DIR . 'classes/dynamic.css.php';
				}
			}

		}
	}
}

/**
 *  Kicking this off by calling 'get_instance()' method
 */
Adaptive_Ext_Spacing::get_instance();
