<?php
/**
 * Sticky Header - Panels & Sections
 *
 * @package Adaptive Addon
 */

// Block direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Bail if Customizer config base class does not exist.
if ( ! class_exists( 'Adaptive_Customizer_Config_Base' ) ) {
	return;
}

if ( ! class_exists( 'Adaptive_Sticky_Header_Panels_Configs' ) ) {

	/**
	 * Register Sticky Header Customizer Configurations.
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Sticky_Header_Panels_Configs extends Adaptive_Customizer_Config_Base {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Register Sticky Header Customizer Configurations.
		 *
		 * @param Array                $configurations Adaptive Customizer Configurations.
		 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
		 * @since 1.4.3
		 * @return Array Adaptive Customizer Configurations with updated configurations.
		 */
		public function register_configuration( $configurations, $gc_customize ) {

			$_section = 'section-sticky-header';

			$_config = array(

				array(
					'name'     => $_section,
					'title'    => __( '固定页眉', 'adaptive-addon' ),
					'panel'    => ( true === adaptive_addon_builder_helper()->is_header_footer_builder_active ) ? 'panel-header-builder-group' : 'panel-header-group',
					'priority' => 31,
					'type'     => 'section',
				),
			);

			return array_merge( $configurations, $_config );
		}

	}
}

new Adaptive_Sticky_Header_Panels_Configs();
