<?php
/**
 * Sticky Header HTML Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_sticky_header_html_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_sticky_header_html_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$num_of_header_html = adaptive_addon_builder_helper()->num_of_header_html;
	for ( $index = 1; $index <= $num_of_header_html; $index++ ) {

		if ( ! Adaptive_Addon_Builder_Helper::is_component_loaded( 'html-' . $index, 'header' ) ) {
			continue;
		}

		$selector = '.ast-header-sticked .site-header-section .ast-builder-layout-element.ast-header-html-' . $index;

		$css_output = array(

			$selector . ' .ast-builder-html-element' => array(
				'color' => esc_attr( adaptive_get_option( 'sticky-header-html-' . $index . 'color' ) ),
			),
		);

		/* Parse CSS from array() */
		$css_output = adaptive_parse_css( $css_output );

		$dynamic_css .= $css_output;
	}

	return $dynamic_css;
}
