<?php
/**
 * Sticky Header language-switcher Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_sticky_header_language_switcher_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_sticky_header_language_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	if ( ! Adaptive_Addon_Builder_Helper::is_component_loaded( 'language-switcher', 'header' ) ) {
		return $dynamic_css;
	}

	$css_output = array(

		'.ast-header-sticked .ast-lswitcher-item-header' => array(
			'color' => esc_attr( adaptive_get_option( 'sticky-header-language-switcher-color' ) ),
		),
	);

	/* Parse CSS from array() */
	$css_output = adaptive_parse_css( $css_output );

	$dynamic_css .= $css_output;

	return $dynamic_css;
}
