<?php
/**
 * Sticky Header Social Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_sticky_header_search_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_sticky_header_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$selector = '.ast-header-sticked .ast-header-search';

	if ( ! Adaptive_Addon_Builder_Helper::is_component_loaded( 'search', 'header' ) ) {
		return $dynamic_css;
	}

	/**
	 * Search CSS.
	 */
	$css_output_desktop = array(

		$selector . ' .adaptive-search-icon, ' . $selector . ' .search-field::placeholder,' . $selector . ' .ast-icon' => array(
			'color' => esc_attr( adaptive_get_option( 'sticky-header-search-icon-color' ) ),
		),
		$selector . ' .adaptive-search-icon:hover,' . $selector . ' .ast-icon:hover' => array(
			'color' => esc_attr( adaptive_get_option( 'sticky-header-search-icon-h-color' ) ),
		),
		$selector . ' .search-field, ' . $selector . ' .ast-search-menu-icon .search-field::placeholder' => array(
			'color' => esc_attr( adaptive_get_option( 'sticky-header-search-text-placeholder-color' ) ),
		),
		$selector . ' .ast-search-menu-icon .search-field, ' . $selector . ' .ast-search-menu-icon .search-form, ' . $selector . ' .ast-search-menu-icon .search-submit ' => array(
			'background-color' => esc_attr( adaptive_get_option( 'sticky-header-search-box-background-color' ) ),
		),
		$selector . ' .ast-search-menu-icon:hover .search-field, ' . $selector . ' .ast-search-menu-icon:hover .search-form, ' . $selector . ' .ast-search-menu-icon:hover .search-submit,' . $selector . ' .ast-search-menu-icon:focus .search-field, ' . $selector . ' .ast-search-menu-icon:focus .search-form, ' . $selector . ' .ast-search-menu-icon:focus .search-submit' => array(
			'background-color' => esc_attr( adaptive_get_option( 'sticky-header-search-box-background-h-color' ) ),
		),
	);
	/* Parse CSS from array() */
	$css_output = adaptive_parse_css( $css_output_desktop );

	$dynamic_css .= $css_output;

	return $dynamic_css;

}
