<?php
/**
 * Sticky Header Buttons Dynamic CSS
 *
 * @package Adaptive Addon
 */

add_filter( 'adaptive_addon_dynamic_css', 'adaptive_sticky_header_widget_dynamic_css', 30 );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return string
 */
function adaptive_sticky_header_widget_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$num_of_header_widgets = adaptive_addon_builder_helper()->num_of_header_widgets;
	for ( $index = 1; $index <= $num_of_header_widgets; $index++ ) {

		if ( ! Adaptive_Addon_Builder_Helper::is_component_loaded( 'widget-' . $index, 'header' ) ) {
			continue;
		}

		$_section = 'sidebar-widgets-header-widget-' . $index;
		$selector = '.ast-header-sticked .header-widget-area[data-section="sidebar-widgets-header-widget-' . $index . '"]';

		/**
		 * Copyright CSS.
		 */
		if ( Adaptive_Addon_Builder_Helper::apply_flex_based_css() ) {
			$header_widget_selector = $selector . '.header-widget-area-inner';
		} else {
			$header_widget_selector = $selector . ' .header-widget-area-inner';
		}
		$css_output_desktop = array(

			$header_widget_selector              => array(
				'color' => adaptive_get_option( 'sticky-header-widget-' . $index . '-color' ),
			),
			$header_widget_selector . ' a'       => array(
				'color' => adaptive_get_option( 'sticky-header-widget-' . $index . '-link-color' ),
			),
			$header_widget_selector . ' a:hover' => array(
				'color' => adaptive_get_option( 'sticky-header-widget-' . $index . '-link-h-color' ),
			),
			$selector . ' .widget-title'         => array(
				'color' => adaptive_get_option( 'sticky-header-widget-' . $index . '-title-color' ),
			),
		);

		/* Parse CSS from array() */
		$css_output   = adaptive_parse_css( $css_output_desktop );
		$dynamic_css .= $css_output;
	}

	return $dynamic_css;

}
