<?php
/**
 * Typography Extension
 *
 * @package Adaptive Addon
 */

define( 'ADAPTIVE_ADDON_EXT_WOOCOMMERCE_DIR', ADAPTIVE_EXT_DIR . 'addons/woocommerce/' );
define( 'ADAPTIVE_ADDON_EXT_WOOCOMMERCE_URI', ADAPTIVE_EXT_URI . 'addons/woocommerce/' );

if ( ! class_exists( 'Adaptive_Ext_WooCommerce' ) ) {

	/**
	 * Typography Initial Setup
	 *
	 * @since 1.0.0
	 */
	// @codingStandardsIgnoreStart
	class Adaptive_Ext_WooCommerce {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
		// @codingStandardsIgnoreEnd

		/**
		 * Member Variable
		 *
		 * @var object instance
		 */
		private static $instance;

		/**
		 *  Initiator
		 */
		public static function get_instance() {
			if ( ! isset( self::$instance ) ) {
				self::$instance = new self();
			}
			return self::$instance;
		}

		/**
		 * Constructor function that initializes required actions and hooks
		 */
		public function __construct() {

			// If plugin - 'WooCommerce' not exist then return.
			if ( class_exists( 'WooCommerce' ) ) {

				require_once ADAPTIVE_ADDON_EXT_WOOCOMMERCE_DIR . 'classes/common-functions.php';
				require_once ADAPTIVE_ADDON_EXT_WOOCOMMERCE_DIR . 'classes/class-adaptive-ext-woocommerce-markup.php';
				require_once ADAPTIVE_ADDON_EXT_WOOCOMMERCE_DIR . 'classes/class-adaptive-ext-woocommerce-loader.php';

				// Include front end files.
				if ( ! is_admin() ) {
					require_once ADAPTIVE_ADDON_EXT_WOOCOMMERCE_DIR . 'classes/dynamic.css.php';
				}
			}

		}
	}

	/**
	 *  Kicking this off by calling 'get_instance()' method
	 */
	Adaptive_Ext_WooCommerce::get_instance();

}

