<?php
/**
 * WooCommerce - Product Images
 *
 * @package Adaptive Addon
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product, $woocommerce;

?>
<div class="ast-qv-image-slider flexslider images">
	<div class="ast-qv-slides slides">
	<?php
	if ( has_post_thumbnail() ) {
		$adaptive_addon_image_attachment_ids = $product->get_gallery_image_ids();
		$adaptive_addon_image_props          = wc_get_product_attachment_props( get_post_thumbnail_id(), $post );
		$adaptive_addon_product_image        = get_the_post_thumbnail(
			$post->ID,
			'shop_single',
			array(
				'title' => $adaptive_addon_image_props['title'],
				'alt'   => $adaptive_addon_image_props['alt'],
			)
		);
		echo sprintf(
			'<li class="woocommerce-product-gallery__image">%s</li>',
			$adaptive_addon_product_image // phpcs:ignore GeChiUI.Security.EscapeOutput.OutputNotEscaped
		);

		if ( $adaptive_addon_image_attachment_ids ) {
			$adaptive_addon_image_loop = 0;

			foreach ( $adaptive_addon_image_attachment_ids as $adaptive_addon_attachment_id ) {

				$adaptive_addon_image_props = wc_get_product_attachment_props( $adaptive_addon_attachment_id, $post );

				if ( ! $adaptive_addon_image_props['url'] ) {
					continue;
				}

				echo sprintf(
					'<li>%s</li>',
					gc_get_attachment_image( $adaptive_addon_attachment_id, 'shop_single', 0, $adaptive_addon_image_props )
				);

				$adaptive_addon_image_loop++;
			}
		}
	} else {
		echo sprintf( '<li><img src="%s" alt="%s" /></li>', esc_url_raw( wc_placeholder_img_src() ), esc_html__( '占位', 'adaptive-addon' ) );
	}
	?>
	</div>
</div>
