<?php
/**
 * Adaptive Addon Button Component Dynamic CSS.
 *
 * @package     adaptive-builder
 * @author      Adaptive
 * @copyright   Copyright (c) 2020, Adaptive
 * @link        https://gcadaptive.com/
 * @since       3.3.0
 */

// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Register Builder Dynamic CSS.
 *
 * @since 3.3.0
 */
class Adaptive_Addon_Button_Component_Dynamic_CSS {

	/**
	 * Dynamic CSS
	 *
	 * @param string $builder_type Builder Type.
	 * @return String Generated dynamic CSS for Heading Colors.
	 *
	 * @since 3.3.0
	 */
	public static function adaptive_ext_button_dynamic_css( $builder_type = 'header' ) {

		$dynamic_css = '';

		$number_of_button = ( 'header' === $builder_type ) ? adaptive_addon_builder_helper()->num_of_header_button : adaptive_addon_builder_helper()->num_of_footer_button;

		for ( $index = 1; $index <= $number_of_button; $index++ ) {

			if ( ! Adaptive_Addon_Builder_Helper::is_component_loaded( 'button-' . $index, $builder_type ) ) {
				continue;
			}
			$_section = ( 'header' === $builder_type ) ? 'section-hb-button-' . $index : 'section-fb-button-' . $index;
			$_prefix  = 'button' . $index;

			$selector = '.ast-' . $builder_type . '-button-' . $index . ' .ast-custom-button';

			$dynamic_css .= Adaptive_Addon_Base_Dynamic_CSS::prepare_box_shadow_dynamic_css( $builder_type . '-button' . $index, $selector );
		}

		return $dynamic_css;
	}
}

/**
 * Kicking this off by creating object of this class.
 */

new Adaptive_Addon_Button_Component_Dynamic_CSS();
