<?php
/**
 * Footer Button component.
 *
 * @package     Adaptive Builder
 * @author      Brainstorm Force
 * @copyright   Copyright (c) 2020, Brainstorm Force
 * @link        https://www.brainstormforce.com
 * @since       Adaptive 3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ADAPTIVE_ADDON_EXT_FOOTER_BUTTON_DIR', ADAPTIVE_EXT_DIR . 'classes/builder/type/footer/button/' );
define( 'ADAPTIVE_ADDON_EXT_FOOTER_BUTTON_URI', ADAPTIVE_EXT_URI . 'classes/builder/type/footer/button/' );

/**
 * Button Initial Setup
 *
 * @since 3.1.0
 */
// @codingStandardsIgnoreStart
class Adaptive_Ext_Footer_Button_Component { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
	// @codingStandardsIgnoreEnd

	/**
	 * Constructor function that initializes required actions and hooks
	 */
	public function __construct() {

		// @codingStandardsIgnoreStart GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
		require_once ADAPTIVE_ADDON_EXT_FOOTER_BUTTON_DIR . 'classes/class-adaptive-ext-footer-button-component-loader.php';
		// @codingStandardsIgnoreEnd GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound

		// Include front end files.
		if ( ! is_admin() ) {
			require_once ADAPTIVE_ADDON_EXT_FOOTER_BUTTON_DIR . 'dynamic-css/dynamic.css.php';
		}
		// @codingStandardsIgnoreEnd GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	}
}

/**
 *  Kicking this off by creating an object.
 */
new Adaptive_Ext_Footer_Button_Component();

