<?php
/**
 * Footer Button - Dynamic CSS
 *
 * @package Adaptive Builder
 * @since 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Footer Buttons
 */
add_filter( 'adaptive_dynamic_theme_css', 'adaptive_addon_footer_button_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return String Generated dynamic CSS for Footer Buttons.
 *
 * @since 3.3.0
 */
function adaptive_addon_footer_button_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$dynamic_css .= Adaptive_Addon_Button_Component_Dynamic_CSS::adaptive_ext_button_dynamic_css( 'footer' );

	return $dynamic_css;
}
