<?php
/**
 * Divider control - Dynamic CSS
 *
 * @package Adaptive Builder
 * @since 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Heading Colors
 */
add_filter( 'adaptive_dynamic_theme_css', 'adaptive_addon_footer_social_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return String Generated dynamic CSS for Heading Colors.
 *
 * @since 3.0.0
 */
function adaptive_addon_footer_social_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	$dynamic_css .= Adaptive_Social_Icon_Component_Dynamic_CSS::adaptive_social_dynamic_css( 'footer' );

	return $dynamic_css;
}
