<?php
/**
 * Adaptive Theme Customizer Configuration Builder.
 *
 * @package     adaptive-builder
 * @author      Adaptive
 * @copyright   Copyright (c) 2020, Adaptive
 * @link        https://gcadaptive.com/
 * @since       3.1.0
 */

// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Adaptive_Customizer_Config_Base' ) ) {
	return;
}

/**
 * Register Builder Customizer Configurations.
 *
 * @since 3.1.0
 */
class Adaptive_Addon_Header_Button_Component_Configs extends Adaptive_Customizer_Config_Base {

	/**
	 * Register Builder Customizer Configurations.
	 *
	 * @param Array                $configurations Adaptive Customizer Configurations.
	 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
	 * @since 3.1.0
	 * @return Array Adaptive Customizer Configurations with updated configurations.
	 */
	public function register_configuration( $configurations, $gc_customize ) {

		$configurations = Adaptive_Addon_Button_Component_Configs::register_configuration( $configurations, 'header', 'section-hb-button-' );

		return $configurations;
	}
}

/**
 * Kicking this off by creating object of this class.
 */

new Adaptive_Addon_Header_Button_Component_Configs();
