<?php
/**
 * Language_Switcher control - Dynamic CSS
 *
 * @package Adaptive Builder
 * @since 3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Language Switcher Colors
 */
add_filter( 'adaptive_dynamic_theme_css', 'adaptive_addon_header_lang_switcher_dynamic_css' );

/**
 * Dynamic CSS
 *
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 * @return String Generated dynamic CSS for Heading Colors.
 *
 * @since 3.1.0
 */
function adaptive_addon_header_lang_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) {

	if ( Adaptive_Addon_Builder_Helper::is_component_loaded( 'language-switcher', 'header' ) ) {
		$dynamic_css .= Adaptive_Language_Switcher_Component_Dynamic_CSS::adaptive_language_switcher_dynamic_css( 'header' );
	}

	return $dynamic_css;
}
