<?php
/**
 * Adaptive Addon Customizer Configuration for Menu.
 *
 * @package     Adaptive Addon
 * @author      Adaptive
 * @copyright   Copyright (c) 2020, Adaptive
 * @link        https://gcadaptive.com/
 * @since       3.3.0
 */

// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Register Builder Customizer Configurations.
 *
 * @since 3.3.0
 */
class Adaptive_Addon_Header_Menu_Component_Configs extends Adaptive_Customizer_Config_Base {

	/**
	 * Register Builder Customizer Configurations.
	 *
	 * @param Array                $configurations Adaptive Customizer Configurations.
	 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
	 * @since 3.3.0
	 * @return Array Adaptive Customizer Configurations with updated configurations.
	 */
	public function register_configuration( $configurations, $gc_customize ) {

		$html_config     = array();
		$component_limit = adaptive_addon_builder_helper()->component_limit;

		for ( $index = 1; $index <= $component_limit; $index++ ) {

			$_section = 'section-hb-menu-' . $index;
			$_prefix  = 'menu' . $index;

			$html_config[] = Adaptive_Addon_Base_Configs::prepare_box_shadow_tab( $_section, 'header-' . $_prefix, $priority = 42 );

		}

		$html_config    = call_user_func_array( 'array_merge', $html_config + array( array() ) );
		$configurations = array_merge( $configurations, $html_config );

		return $configurations;
	}
}

/**
 * Kicking this off by creating object of this class.
 */

new Adaptive_Addon_Header_Menu_Component_Configs();
