<?php
/**
 * Off Canvas component.
 *
 * @package     Adaptive Addon
 * @author      Brainstorm Force
 * @copyright   Copyright (c) 2020, Brainstorm Force
 * @link        https://www.brainstormforce.com
 * @since       Adaptive 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ADAPTIVE_ADDON_OFFCANVAS_DIR', ADAPTIVE_EXT_DIR . 'classes/builder/type/header/off-canvas/' );
define( 'ADAPTIVE_ADDON_OFFCANVAS_URI', ADAPTIVE_EXT_URI . 'classes/builder/type/header/off-canvas/' );

/**
 * Heading Initial Setup
 *
 * @since 3.3.0
 */
class Adaptive_Addon_Offcanvas_Component {

	/**
	 * Constructor function that initializes required actions and hooks
	 */
	public function __construct() {

		// @codingStandardsIgnoreStart GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
		require_once ADAPTIVE_ADDON_OFFCANVAS_DIR . 'classes/class-adaptive-addon-offcanvas-component-loader.php';

		// Include front end files.
		if ( ! is_admin() ) {
			require_once ADAPTIVE_ADDON_OFFCANVAS_DIR . 'dynamic-css/dynamic.css.php';
		}
		// @codingStandardsIgnoreEnd GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	}
}

/**
 *  Kicking this off by creating an object.
 */
new Adaptive_Addon_Offcanvas_Component();
