<?php
/**
 * Adaptive Addon Customizer Configuration Off Canvas.
 *
 * @package     adaptive-addon
 * @author      Adaptive Addon
 * @copyright   Copyright (c) 2020, Adaptive
 * @link        https://gcadaptive.com/
 * @since       3.3.0
 */

// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Register Off Canvas Customizer Configurations.
 *
 * @since 3.3.0
 */
class Adaptive_Addon_Offcanvas_Configs extends Adaptive_Customizer_Config_Base {

	/**
	 * Register Builder Above Customizer Configurations.
	 *
	 * @param Array                $configurations Adaptive Customizer Configurations.
	 * @param GC_Customize_Manager $gc_customize instance of GC_Customize_Manager.
	 * @since 3.3.0
	 * @return Array Adaptive Customizer Configurations with updated configurations.
	 */
	public function register_configuration( $configurations, $gc_customize ) {

		$_section = 'section-popup-header-builder';

		$_configs = array(

			/**
			 * Option: Popup Width.
			 */
			array(
				'name'        => ADAPTIVE_THEME_SETTINGS . '[off-canvas-width]',
				'section'     => $_section,
				'priority'    => 32,
				'transport'   => 'postMessage',
				'default'     => adaptive_get_option( 'off-canvas-width' ),
				'title'       => __( '弹出窗口宽度(%)', 'adaptive-addon' ),
				'type'        => 'control',
				'control'     => 'ast-responsive-slider',
				'input_attrs' => array(
					'min'  => 0,
					'step' => 1,
					'max'  => 100,
				),
				'context'     => array(
					adaptive_addon_builder_helper()->general_tab_config,
					array(
						'setting'  => ADAPTIVE_THEME_SETTINGS . '[mobile-header-type]',
						'operator' => '==',
						'value'    => 'off-canvas',
					),
				),
			),

		);

		return array_merge( $configurations, $_configs );
	}
}

/**
 * Kicking this off by creating object of this class.
 */
new Adaptive_Addon_Offcanvas_Configs();
