<?php
/**
 * HTML component.
 *
 * @package     Adaptive Builder
 * @author      Brainstorm Force
 * @copyright   Copyright (c) 2020, Brainstorm Force
 * @link        https://www.brainstormforce.com
 * @since       Adaptive 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

define( 'ADAPTIVE_ADDON_HEADER_SOCIAL_DIR', ADAPTIVE_EXT_DIR . 'classes/builder/type/header/social-icon/' );
define( 'ADAPTIVE_ADDON_HEADER_SOCIAL_URI', ADAPTIVE_EXT_URI . 'classes/builder/type/header/social-icon/' );

/**
 * Heading Initial Setup
 *
 * @since 3.0.0
 */
// @codingStandardsIgnoreStart
class Adaptive_Header_Social_Component {
 // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedClassFound
	// @codingStandardsIgnoreEnd

	/**
	 * Constructor function that initializes required actions and hooks
	 */
	public function __construct() {

		// @codingStandardsIgnoreStart GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
		require_once ADAPTIVE_ADDON_HEADER_SOCIAL_DIR . 'classes/class-adaptive-header-social-component-loader.php';

		// Include front end files.
		if ( ! is_admin() ) {
			require_once ADAPTIVE_ADDON_HEADER_SOCIAL_DIR . 'dynamic-css/dynamic.css.php';
		}
		// @codingStandardsIgnoreEnd GCThemeReview.CoreFunctionality.FileInclude.FileIncludeFound
	}
}

/**
 *  Kicking this off by creating an object.
 */
new Adaptive_Header_Social_Component();

