<?php
/**
 * Adaptive Addon RunCloud Compatibility
 *
 * @package Adaptive Addon
 * @since 2.5.0
 */

/**
 * Adaptive Addon Runcloud Helper Class
 *
 * @since 2.5.0
 */
class Adaptive_Addon_Run_Cloud_Helper_Compatibility {

	/**
	 * Constructor
	 *
	 * @since 2.5.0
	 */
	public function __construct() {
		add_action( 'adaptive_addon_assets_refreshed', array( $this, 'refresh_runcloud_helper_cache' ) );
	}

	/**
	 * Purge RunCloud Cache.
	 *
	 * @since 2.5.0
	 * @return void
	 */
	public function refresh_runcloud_helper_cache() {
		if ( is_callable( 'RunCache_Purger::flush_home' ) ) {
			// Function to purge RunCloud cache.
			RunCache_Purger::flush_home( true );
		}
	}

}

/**
 * Conditionally Initialize RunCloud Cache compatibility.
 *
 * @since 2.5.0
 * @return void
 */
function adaptive_addon_run_cloud_helper_compatibility() {
	if ( class_exists( 'RunCache_Purger' ) ) {
		new Adaptive_Addon_Run_Cloud_Helper_Compatibility();
	}
}

add_action( 'plugins_loaded', 'adaptive_addon_run_cloud_helper_compatibility' );
