<?php
/**
 * Deprecated Actions of Adaptive Addon.
 *
 * @package     Adaptive
 * @author      Adaptive
 * @copyright   Copyright (c) 2021, Adaptive
 * @link        https://gcadaptive.com/
 * @since       Adaptive 3.5.7
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( function_exists( 'adaptive_do_action_deprecated' ) ) {

	/**
	 * Depreciating Adaptive AJAX pgination actions.
	 *
	 * @since 3.5.7
	 */
	adaptive_do_action_deprecated( 'adaptive_shop_pagination_infinite', array(), '3.5.7' );
	adaptive_do_action_deprecated( 'adaptive_pagination_infinite', array(), '3.5.7' );
}

// Depreciating adaptive_get_css_files hook.
add_action( 'adaptive_addon_get_css_files', 'adaptive_deprecated_adaptive_get_css_files_hook' );

/**
 * Depreciating 'adaptive_get_css_files' action & replacing with 'adaptive_addon_get_css_files'.
 *
 * @since 3.6.2
 */
function adaptive_deprecated_adaptive_get_css_files_hook() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	adaptive_do_action_deprecated( 'adaptive_get_css_files', array(), '3.6.2', 'adaptive_addon_get_css_files' );
}

// Depreciating adaptive_get_js_files hook.
add_action( 'adaptive_addon_get_js_files', 'adaptive_deprecated_adaptive_get_js_files_hook' );

/**
 * Depreciating 'adaptive_get_js_files' action & replacing with 'adaptive_addon_get_js_files'.
 *
 * @since 3.6.2
 */
function adaptive_deprecated_adaptive_get_js_files_hook() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	adaptive_do_action_deprecated( 'adaptive_get_js_files', array(), '3.6.2', 'adaptive_addon_get_js_files' );
}

// Depreciating adaptive_after_render_js hook.
add_action( 'adaptive_addon_after_render_js', 'adaptive_deprecated_adaptive_after_render_js_hook' );

/**
 * Depreciating 'adaptive_after_render_js' action & replacing with 'adaptive_addon_after_render_js'.
 *
 * @since 3.6.2
 */
function adaptive_deprecated_adaptive_after_render_js_hook() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	adaptive_do_action_deprecated( 'adaptive_after_render_js', array(), '3.6.2', 'adaptive_addon_after_render_js' );
}
