<?php
/**
 * Deprecated Filters of Adaptive Addon.
 *
 * @package     Adaptive
 * @author      Adaptive
 * @copyright   Copyright (c) 2021, Adaptive
 * @link        https://gcadaptive.com/
 * @since       Adaptive 3.5.7
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( function_exists( 'adaptive_apply_filters_deprecated' ) ) {

	/**
	 * Adaptive search results post type filter added for AJAX action
	 *
	 * @since 3.5.7
	 */
	$post_type = 'any';  // phpcs:ignore GeChiUI.GC.GlobalVariablesOverride.Prohibited
	adaptive_apply_filters_deprecated( 'adaptive_infinite_pagination_post_type', array( $post_type ), '3.5.7' );
}

// Deprecating adaptive_bb_render_content_by_id filter.
add_filter( 'adaptive_addon_bb_render_content_by_id', 'adaptive_deprecated_adaptive_bb_render_content_by_id_filter', 10, 1 );

/**
 * Render Beaver Builder content by ID.
 *
 * @since 3.6.2
 * @param boolean $render_content true | false.
 * @return boolean true for enabled | false for disable.
 *
 * @see adaptive_addon_bb_render_content_by_id
 */
function adaptive_deprecated_adaptive_bb_render_content_by_id_filter( $render_content ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_bb_render_content_by_id', array( $render_content ), '3.6.2', 'adaptive_addon_bb_render_content_by_id', '' );
}

// Deprecating adaptive_get_assets_uploads_dir filter.
add_filter( 'adaptive_addon_get_assets_uploads_dir', 'adaptive_deprecated_adaptive_get_assets_uploads_dir_filter', 10, 1 );

/**
 * Uplods adaptive assets dir data
 *
 * @since 3.6.2
 * @param string $assets_dir directory name to be created in the GeChiUI uploads directory.
 * @return array Includes path & url.
 *
 * @see adaptive_addon_get_assets_uploads_dir
 */
function adaptive_deprecated_adaptive_get_assets_uploads_dir_filter( $assets_dir ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_get_assets_uploads_dir', array( $assets_dir ), '3.6.2', 'adaptive_addon_get_assets_uploads_dir', '' );
}

// Deprecating adaptive_pro_show_branding filter.
add_filter( 'adaptive_addon_show_branding', 'adaptive_deprecated_adaptive_pro_show_branding_filter', 10, 1 );

/**
 * Whitelabel branding markup.
 *
 * @since 3.6.2
 * @param boolean $show_branding true | false.
 * @return boolean true for showing | false for hiding branding markup.
 *
 * @see adaptive_addon_show_branding
 */
function adaptive_deprecated_adaptive_pro_show_branding_filter( $show_branding ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_pro_show_branding', array( $show_branding ), '3.6.2', 'adaptive_addon_show_branding', '' );
}

// Deprecating adaptive_dynamic_css filter.
add_filter( 'adaptive_addon_dynamic_css', 'adaptive_deprecated_adaptive_dynamic_css_filter', 10, 1 );

/**
 * Dynamic CSS to be enqueue.
 *
 * @since 3.6.2
 * @param string $dynamic_css Parsed CSS.
 * @return string
 *
 * @see adaptive_addon_dynamic_css
 */
function adaptive_deprecated_adaptive_dynamic_css_filter( $dynamic_css ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_dynamic_css', array( $dynamic_css ), '3.6.2', 'adaptive_addon_dynamic_css', '' );
}

// Deprecating adaptive_add_css_file filter.
add_filter( 'adaptive_addon_add_css_file', 'adaptive_deprecated_adaptive_add_css_file_filter', 10, 1 );

/**
 * Ading custom CSS file privilege.
 *
 * @since 3.6.2
 * @param array $css_files All stylesheets.
 *
 * @see adaptive_addon_add_css_file
 */
function adaptive_deprecated_adaptive_add_css_file_filter( $css_files ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_add_css_file', array( $css_files ), '3.6.2', 'adaptive_addon_add_css_file', '' );
}

// Deprecating adaptive_add_js_file filter.
add_filter( 'adaptive_addon_add_js_file', 'adaptive_deprecated_adaptive_add_js_file_filter', 10, 1 );

/**
 * Ading custom JS file privilege.
 *
 * @since 3.6.2
 * @param array $js_files All scripts.
 *
 * @see adaptive_addon_add_js_file
 */
function adaptive_deprecated_adaptive_add_js_file_filter( $js_files ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_add_js_file', array( $js_files ), '3.6.2', 'adaptive_addon_add_js_file', '' );
}

// Deprecating adaptive_add_dependent_js_file filter.
add_filter( 'adaptive_addon_add_dependent_js_file', 'adaptive_deprecated_adaptive_add_dependent_js_file_filter', 10, 1 );

/**
 * Get dependent JS files to generate.
 *
 * @since 3.6.2
 * @param array $dependent_js_files Dependent script array.
 *
 * @see adaptive_addon_add_dependent_js_file
 */
function adaptive_deprecated_adaptive_add_dependent_js_file_filter( $dependent_js_files ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_add_dependent_js_file', array( $dependent_js_files ), '3.6.2', 'adaptive_addon_add_dependent_js_file', '' );
}

// Deprecating adaptive_render_css filter.
add_filter( 'adaptive_addon_render_css', 'adaptive_deprecated_adaptive_render_css_filter', 10, 1 );

/**
 * To be render dynamic CSS.
 *
 * @since 3.6.2
 * @param array $css Dynamic CSS.
 *
 * @see adaptive_addon_render_css
 */
function adaptive_deprecated_adaptive_render_css_filter( $css ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_render_css', array( $css ), '3.6.2', 'adaptive_addon_render_css', '' );
}

// Deprecating adaptive_render_js filter.
add_filter( 'adaptive_addon_render_js', 'adaptive_deprecated_adaptive_render_js_filter', 10, 1 );

/**
 * To be render dynamic JS.
 *
 * @since 3.6.2
 * @param array $js Dynamic JS.
 *
 * @see adaptive_addon_render_js
 */
function adaptive_deprecated_adaptive_render_js_filter( $js ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_render_js', array( $js ), '3.6.2', 'adaptive_addon_render_js', '' );
}

// Deprecating adaptive_languages_directory filter.
add_filter( 'adaptive_addon_languages_directory', 'adaptive_deprecated_adaptive_languages_directory_filter', 10, 1 );

/**
 * Plugin language directory.
 *
 * @since 3.6.2
 * @param string $lang_dir The languages directory path.
 * @return string $lang_dir The languages directory path.
 *
 * @see adaptive_addon_languages_directory
 */
function adaptive_deprecated_adaptive_languages_directory_filter( $lang_dir ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_languages_directory', array( $lang_dir ), '3.6.2', 'adaptive_addon_languages_directory', '' );
}

// Deprecating adaptive_ext_default_addons filter.
add_filter( 'adaptive_addon_ext_default_addons', 'adaptive_deprecated_adaptive_ext_default_addons_filter', 10, 1 );

/**
 * Default addon list in Adaptive Addon.
 *
 * @since 3.6.2
 * @param array $default_addons Default extensions from Adaptive Pro.
 *
 * @see adaptive_addon_ext_default_addons
 */
function adaptive_deprecated_adaptive_ext_default_addons_filter( $default_addons ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_ext_default_addons', array( $default_addons ), '3.6.2', 'adaptive_addon_ext_default_addons', '' );
}

// Deprecating adaptive_get_addons filter.
add_filter( 'adaptive_addon_get_addons', 'adaptive_deprecated_adaptive_get_addons_filter', 10, 1 );

/**
 * Adaptive addon's all modules list.
 *
 * @since 3.6.2
 * @param array $extensions All Adaptive Pro's extensions.
 *
 * @see adaptive_addon_get_addons
 */
function adaptive_deprecated_adaptive_get_addons_filter( $extensions ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_get_addons', array( $extensions ), '3.6.2', 'adaptive_addon_get_addons', '' );
}

// Deprecating adaptive_ext_enabled_extensions filter.
add_filter( 'adaptive_addon_enabled_extensions', 'adaptive_deprecated_adaptive_ext_enabled_extensions_filter', 10, 1 );

/**
 * Adaptive addon's all active extensions.
 *
 * @since 3.6.2
 * @param array $active_addons Adaptive Pro's active extensions.
 *
 * @see adaptive_addon_enabled_extensions
 */
function adaptive_deprecated_adaptive_ext_enabled_extensions_filter( $active_addons ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_ext_enabled_extensions', array( $active_addons ), '3.6.2', 'adaptive_addon_enabled_extensions', '' );
}

// Deprecating adaptive_custom_404_options filter.
add_filter( 'adaptive_addon_custom_404_options', 'adaptive_deprecated_adaptive_custom_404_options_filter', 10, 1 );

/**
 * Provide Custom 404 data array().
 *
 * @since 3.6.2
 * @param array $options 404 layout options.
 *
 * @see adaptive_addon_custom_404_options
 */
function adaptive_deprecated_adaptive_custom_404_options_filter( $options ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_custom_404_options', array( $options ), '3.6.2', 'adaptive_addon_custom_404_options', '' );
}

// Deprecating adaptive_cache_asset_query_var filter.
add_filter( 'adaptive_addon_cache_asset_query_var', 'adaptive_deprecated_adaptive_cache_asset_query_var_filter', 10, 1 );

/**
 * Get Current query type.
 *
 * @since 3.6.2
 * @param string $slug single|archive.
 *
 * @see adaptive_addon_cache_asset_query_var
 */
function adaptive_deprecated_adaptive_cache_asset_query_var_filter( $slug ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_cache_asset_query_var', array( $slug ), '3.6.2', 'adaptive_addon_cache_asset_query_var', '' );
}

// Deprecating adaptive_cache_asset_type filter.
add_filter( 'adaptive_addon_cache_asset_type', 'adaptive_deprecated_adaptive_cache_asset_type_filter', 10, 1 );

/**
 * Get the archive title.
 *
 * @since 3.6.2
 * @param string $title archive title.
 * @return string $title Returns the archive title.
 *
 * @see adaptive_addon_cache_asset_type
 */
function adaptive_deprecated_adaptive_cache_asset_type_filter( $title ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_cache_asset_type', array( $title ), '3.6.2', 'adaptive_addon_cache_asset_type', '' );
}

// Deprecating adaptive_load_dynamic_css_inline filter.
add_filter( 'adaptive_addon_load_dynamic_css_inline', 'adaptive_deprecated_adaptive_load_dynamic_css_inline_filter', 10, 1 );

/**
 * Enqueue the assets inline.
 *
 * @since 3.6.2
 * @param bool $load_inline True|False.
 *
 * @see adaptive_addon_load_dynamic_css_inline
 */
function adaptive_deprecated_adaptive_load_dynamic_css_inline_filter( $load_inline ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_load_dynamic_css_inline', array( $load_inline ), '3.6.2', 'adaptive_addon_load_dynamic_css_inline', '' );
}

// Deprecating adaptive_flags_svg filter.
add_filter( 'adaptive_addon_flags_svg', 'adaptive_deprecated_adaptive_flags_svg_filter', 10, 1 );

/**
 * Builder components SVG icons.
 *
 * @since 3.6.2
 * @param bool $svg_icons Component's SVG icons.
 *
 * @see adaptive_addon_flags_svg
 */
function adaptive_deprecated_adaptive_flags_svg_filter( $svg_icons ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_flags_svg', array( $svg_icons ), '3.6.2', 'adaptive_addon_flags_svg', '' );
}

// Deprecating adaptive_display_on_list filter.
add_filter( 'adaptive_addon_display_on_list', 'adaptive_deprecated_adaptive_display_on_list_filter', 10, 1 );

/**
 * Filter options displayed in the display conditions select field of Display conditions.
 *
 * @since 3.6.2
 * @param array $selection_options Display conditions.
 *
 * @see adaptive_addon_display_on_list
 */
function adaptive_deprecated_adaptive_display_on_list_filter( $selection_options ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_display_on_list', array( $selection_options ), '3.6.2', 'adaptive_addon_display_on_list', '' );
}

// Deprecating adaptive_location_rule_post_types filter.
add_filter( 'adaptive_addon_location_rule_post_types', 'adaptive_deprecated_adaptive_location_rule_post_types_filter', 10, 1 );

/**
 * Get location selection post types.
 *
 * @since 3.6.2
 * @param array $post_types Post tyoes based on to be targeted locations.
 *
 * @see adaptive_addon_location_rule_post_types
 */
function adaptive_deprecated_adaptive_location_rule_post_types_filter( $post_types ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_location_rule_post_types', array( $post_types ), '3.6.2', 'adaptive_addon_location_rule_post_types', '' );
}

// Deprecating adaptive_user_roles_list filter.
add_filter( 'adaptive_addon_user_roles_list', 'adaptive_deprecated_adaptive_user_roles_list_filter', 10, 1 );

/**
 * Filter options displayed in the user select field of Display conditions.
 *
 * @since 3.6.2
 * @param array $selection_options User list options.
 *
 * @see adaptive_addon_user_roles_list
 */
function adaptive_deprecated_adaptive_user_roles_list_filter( $selection_options ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_user_roles_list', array( $selection_options ), '3.6.2', 'adaptive_addon_user_roles_list', '' );
}

// Deprecating adaptive_target_page_settings filter.
add_filter( 'adaptive_addon_target_page_settings', 'adaptive_deprecated_adaptive_target_page_settings_filter', 10, 2 );

/**
 * Targeted page|rule setting.
 *
 * @since 3.6.2
 * @param array $current_layout Active custom layout.
 * @param array $layout_id Current layout ID.
 *
 * @return int|boolean If the current layout is to be displayed it will be returned back else a boolean will be passed.
 *
 * @see adaptive_addon_target_page_settings
 */
function adaptive_deprecated_adaptive_target_page_settings_filter( $current_layout, $layout_id ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_target_page_settings', array( $current_layout, $layout_id ), '3.6.2', 'adaptive_addon_target_page_settings', '' );
}

// Deprecating adaptive_get_display_posts_by_conditions filter.
add_filter( 'adaptive_addon_get_display_posts_by_conditions', 'adaptive_deprecated_adaptive_get_display_posts_by_conditions_filter', 10, 2 );

/**
 * Get posts by conditions
 *
 * @since 3.6.2
 * @param array  $current_page_data Passed query data.
 * @param string $post_type Post Type.
 *
 * @return object Posts.
 *
 * @see adaptive_addon_get_display_posts_by_conditions
 */
function adaptive_deprecated_adaptive_get_display_posts_by_conditions_filter( $current_page_data, $post_type ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_get_display_posts_by_conditions', array( $current_page_data, $post_type ), '3.6.2', 'adaptive_addon_get_display_posts_by_conditions', '' );
}

// Deprecating adaptive_meta_args_post_by_condition filter.
add_filter( 'adaptive_addon_meta_args_post_by_condition', 'adaptive_deprecated_adaptive_meta_args_post_by_condition_filter', 10, 3 );

/**
 * Get posts by conditions
 *
 * @since 3.6.2
 * @param array  $meta_args Metadata of custom layout.
 * @param array  $q_obj Passed query object.
 * @param string $current_post_id Current Post Type.
 *
 * @return object Posts.
 *
 * @see adaptive_addon_meta_args_post_by_condition
 */
function adaptive_deprecated_adaptive_meta_args_post_by_condition_filter( $meta_args, $q_obj, $current_post_id ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_meta_args_post_by_condition', array( $meta_args, $q_obj, $current_post_id ), '3.6.2', 'adaptive_addon_meta_args_post_by_condition', '' );
}

// Deprecating adaptive_pro_white_label_add_form filter.
add_filter( 'adaptive_addon_white_label_add_form', 'adaptive_deprecated_adaptive_pro_white_label_add_form_filter', 10, 1 );

/**
 * Provide White Label structure markup.
 *
 * @since 3.6.2
 * @param array $markup form markup.
 *
 * @return array Brading array
 *
 * @see adaptive_addon_white_label_add_form
 */
function adaptive_deprecated_adaptive_pro_white_label_add_form_filter( $markup ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	return adaptive_apply_filters_deprecated( 'adaptive_pro_white_label_add_form', array( $markup ), '3.6.2', 'adaptive_addon_white_label_add_form', '' );
}
