<?php
/**
 * Deprecated Functions of Adaptive Addon.
 *
 * @package     Adaptive
 * @author      Adaptive
 * @copyright   Copyright (c) 2020, Adaptive
 * @link        https://gcadaptive.com/
 * @since       Adaptive 1.6.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'astar' ) ) :

	/**
	 * Get a specific property of an array without needing to check if that property exists.
	 *
	 * @since 1.6.2
	 * @deprecated 1.6.2 Use adaptive_get_prop()
	 * @param array  $array   Array from which the property's value should be retrieved.
	 * @param string $prop    Name of the property to be retrieved.
	 * @param string $default Optional. Value that should be returned if the property is not set or empty. Defaults to null.
	 * @see adaptive_get_prop()
	 *
	 * @return null|string|mixed The value
	 */
	function astar( $array, $prop, $default = null ) {
		return adaptive_get_prop( $array, $prop, $default );
	}

endif;

if ( ! function_exists( 'adaptive_pagination_infinite' ) ) :

	/**
	 * Deprecating adaptive_pagination_infinite function.
	 *
	 * @since 3.5.7
	 * @deprecated 3.5.7
	 */
	function adaptive_pagination_infinite() {
		_deprecated_function( __FUNCTION__, '3.5.7' );
	}

endif;

if ( ! function_exists( 'adaptive_shop_pagination_infinite' ) ) :

	/**
	 * Deprecating adaptive_shop_pagination_infinite function.
	 *
	 * @since 3.5.7
	 * @deprecated 3.5.7
	 */
	function adaptive_shop_pagination_infinite() {
		_deprecated_function( __FUNCTION__, '3.5.7' );
	}

endif;

if ( ! function_exists( 'adaptive_addon_clear_assets_cache' ) ) :

	/**
	 * Deprecating adaptive_addon_clear_assets_cache function.
	 *
	 * @since 3.5.9
	 * @deprecated 3.5.9
	 */
	function adaptive_addon_clear_assets_cache() {
		_deprecated_function( __FUNCTION__, '3.5.9' );
	}

endif;

/**
 * Deprecating adaptive_get_supported_posts function.
 *
 * Getting Adaptive theme name.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_get_supported_posts()
 * @param  boolean $with_tax Post has taxonomy.
 *
 * @see adaptive_addon_get_supported_posts()
 *
 * @return string
 */
function adaptive_get_supported_posts( $with_tax ) {
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_get_supported_posts()' );
	return adaptive_addon_get_supported_posts( $with_tax );
}

/**
 * Deprecating adaptive_rgba2hex function.
 *
 * Getting Adaptive theme name.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_rgba2hex()
 * @param  string $string Color code in RGBA / RGB format.
 * @param  string $include_alpha Color code in RGBA / RGB format.
 *
 * @see adaptive_addon_rgba2hex()
 *
 * @return string Return HEX color code.
 */
function adaptive_rgba2hex( $string, $include_alpha = false ) {
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_rgba2hex()' );
	return adaptive_addon_rgba2hex( $string, $include_alpha = false );
}

/**
 * Deprecating adaptive_check_is_hex function.
 *
 * Getting Adaptive theme name.
 *
 * @since 3.6.2
 * @param  string $string   Color code any format.
 *
 * @see adaptive_addon_check_is_hex()
 *
 * @return boolean          Return true | false.
 */
function adaptive_check_is_hex( $string ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_check_is_hex()' );
	return adaptive_addon_check_is_hex( $string );
}

/**
 * Deprecating is_support_swap_mobile_below_header_sections function.
 *
 * Checking backward flag to support swapping of sections in mobile-below header.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_swap_mobile_below_header_sections()
 * @see adaptive_addon_swap_mobile_below_header_sections()
 *
 * @return bool true|false
 */
function is_support_swap_mobile_below_header_sections() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_swap_mobile_below_header_sections()' );
	return adaptive_addon_swap_mobile_below_header_sections();
}

/**
 * Deprecating is_adaptive_theme_3_5_0_version function.
 *
 * Checking theme version with v3.5.0.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_check_theme_3_5_0_version()
 * @see adaptive_addon_check_theme_3_5_0_version()
 *
 * @return bool true|false
 */
function is_adaptive_theme_3_5_0_version() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_check_theme_3_5_0_version()' );
	return adaptive_addon_check_theme_3_5_0_version();
}

/**
 * Deprecating sticky_header_default_site_title_tagline_css_comp function.
 *
 * Sticky header's title-tagline CSS compatibility backward check.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_sticky_site_title_tagline_css_comp()
 * @see adaptive_addon_sticky_site_title_tagline_css_comp()
 *
 * @return bool true|false
 */
function sticky_header_default_site_title_tagline_css_comp() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_sticky_site_title_tagline_css_comp()' );
	return adaptive_addon_sticky_site_title_tagline_css_comp();
}

/**
 * Deprecating is_support_swap_mobile_above_header_sections function.
 *
 * Checking backward flag to support swapping of sections in mobile-above header.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_support_swap_mobile_above_header_sections()
 * @see adaptive_addon_support_swap_mobile_above_header_sections()
 *
 * @return bool true|false
 */
function is_support_swap_mobile_above_header_sections() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_support_swap_mobile_above_header_sections()' );
	return adaptive_addon_support_swap_mobile_above_header_sections();
}

/**
 * Deprecating adaptive_return_content_layout_page_builder function.
 *
 * Getting 'page-builder' layout.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_return_content_layout_page_builder()
 * @see adaptive_addon_return_content_layout_page_builder()
 *
 * @return string page-builder string used for filter `adaptive_get_content_layout`
 */
function adaptive_return_content_layout_page_builder() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_return_content_layout_page_builder()' );
	return adaptive_addon_return_content_layout_page_builder();
}

/**
 * Deprecating adaptive_return_page_layout_no_sidebar function.
 *
 * Getting 'no-sidebar' layout option.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_return_page_layout_no_sidebar()
 * @see adaptive_addon_return_page_layout_no_sidebar()
 *
 * @return string page-builder string used for filter `adaptive_get_content_layout`
 */
function adaptive_return_page_layout_no_sidebar() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_return_page_layout_no_sidebar()' );
	return adaptive_addon_return_page_layout_no_sidebar();
}

/**
 * Deprecating adaptive_pro_is_emp_endpoint function.
 *
 * Checking if AMP is setup or not.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_is_amp_endpoint()
 * @see adaptive_addon_is_amp_endpoint()
 *
 * @return string page-builder string used for filter `adaptive_get_content_layout`
 */
function adaptive_pro_is_emp_endpoint() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_is_amp_endpoint()' );
	return adaptive_addon_is_amp_endpoint();
}

/**
 * Deprecating is_adaptive_breadcrumb_trail function.
 *
 * Checking if breadcrumb with trail.
 *
 * @since 3.6.2
 * @param string $echo Whether to echo or return.
 *
 * @see adaptive_addon_is_breadcrumb_trail()
 *
 * @return string breadcrumb markup
 */
function is_adaptive_breadcrumb_trail( $echo ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_is_breadcrumb_trail()' );
	return adaptive_addon_is_breadcrumb_trail( $echo );
}

/**
 * Deprecating adaptive_breadcrumb_shortcode function.
 *
 * Breadcrumb markup shortcode based.
 *
 * @since 3.6.2
 * @deprecated 3.6.2 Use adaptive_addon_breadcrumb_shortcode()
 * @see adaptive_addon_breadcrumb_shortcode()
 *
 * @return string
 */
function adaptive_breadcrumb_shortcode() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_breadcrumb_shortcode()' );
	return adaptive_addon_breadcrumb_shortcode();
}

/**
 * Deprecating adaptive_get_template function.
 *
 * Getting Adaptive Pro's template.
 *
 * @since 3.6.2
 * @param string $template_name template path. E.g. (directory / template.php).
 * @param array  $args (default: array()).
 * @param string $template_path (default: '').
 * @param string $default_path (default: '').
 *
 * @see adaptive_addon_get_template()
 *
 * @return callback
 */
function adaptive_get_template( $template_name, $args = array(), $template_path = '', $default_path = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_get_template()' );
	return adaptive_addon_get_template( $template_name, $args = array(), $template_path = '', $default_path = '' );
}

/**
 * Deprecating adaptive_locate_template function.
 *
 * Locate Adaptive Pro's template.
 *
 * @since 3.6.2
 * @param string $template_name template path. E.g. (directory / template.php).
 * @param string $template_path (default: '').
 * @param string $default_path (default: '').
 *
 * @see adaptive_addon_locate_template()
 *
 * @return string return the template path which is maybe filtered.
 */
function adaptive_locate_template( $template_name, $template_path = '', $default_path = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_locate_template()' );
	return adaptive_addon_locate_template( $template_name, $template_path = '', $default_path = '' );
}

/**
 * Deprecating adaptive_ext_adv_search_dynamic_css function.
 *
 * Advanced search's dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_adv_search_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_adv_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_adv_search_dynamic_css()' );
	return adaptive_addon_adv_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_advanced_search_dynamic_css function.
 *
 * Advanced search's dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_advanced_search_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_advanced_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_advanced_search_dynamic_css()' );
	return adaptive_addon_advanced_search_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_header_builder_sections_colors_dynamic_css function.
 *
 * Adaptive builder sections advanced color & background specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_builder_sections_colors_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_header_builder_sections_colors_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_builder_sections_colors_dynamic_css()' );
	return adaptive_addon_header_builder_sections_colors_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_header_sections_colors_dynamic_css function.
 *
 * Adaptive's old header sections dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_sections_colors_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_header_sections_colors_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_sections_colors_dynamic_css()' );
	return adaptive_addon_header_sections_colors_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}


/**
 * Deprecating adaptive_ldrv3_dynamic_css function.
 *
 * Learndash extension specific dynamic CSS.
 *
 * @since 3.6.2
 *
 * @see adaptive_addon_ldrv3_dynamic_css()
 *
 * @return string
 */
function adaptive_ldrv3_dynamic_css() { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_ldrv3_dynamic_css()' );
	return adaptive_addon_ldrv3_dynamic_css();
}

/**
 * Deprecating adaptive_learndash_dynamic_css function.
 *
 * Learndash extension specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_learndash_dynamic_css()
 *
 * @return string
 */
function adaptive_learndash_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_learndash_dynamic_css()' );
	return adaptive_addon_learndash_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mobile_above_header_dynamic_css function.
 *
 * Adaptive's old header mobile layout specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mobile_above_header_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mobile_above_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mobile_above_header_dynamic_css()' );
	return adaptive_addon_mobile_above_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mobile_below_header_dynamic_css function.
 *
 * Adaptive's old header mobile layout specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mobile_below_header_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mobile_below_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mobile_below_header_dynamic_css()' );
	return adaptive_addon_mobile_below_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mobile_header_colors_background_dynamic_css function.
 *
 * Adaptive's old header mobile layout colors-background specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mobile_header_colors_background_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mobile_header_colors_background_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mobile_header_colors_background_dynamic_css()' );
	return adaptive_addon_mobile_header_colors_background_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mobile_header_spacing_dynamic_css function.
 *
 * Adaptive's old header mobile layout spacing specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mobile_header_spacing_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mobile_header_spacing_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mobile_header_spacing_dynamic_css()' );
	return adaptive_addon_mobile_header_spacing_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mobile_header_dynamic_css function.
 *
 * Adaptive's old header mobile layout specific dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mobile_header_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mobile_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mobile_header_dynamic_css()' );
	return adaptive_addon_mobile_header_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_mega_menu_dynamic_css function.
 *
 * Megamenu dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_mega_menu_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_mega_menu_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_mega_menu_dynamic_css()' );
	return adaptive_addon_mega_menu_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_scroll_to_top_dynamic_css function.
 *
 * Scroll to top ext dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_scroll_to_top_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_scroll_to_top_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_scroll_to_top_dynamic_css()' );
	return adaptive_addon_scroll_to_top_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_fb_button_dynamic_css function.
 *
 * Footer builder - Button dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_footer_button_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_fb_button_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_footer_button_dynamic_css()' );
	return adaptive_addon_footer_button_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_fb_divider_dynamic_css function.
 *
 * Footer builder - Divider dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_footer_divider_dynamic_css()
 *
 * @return string
 */
function adaptive_fb_divider_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_footer_divider_dynamic_css()' );
	return adaptive_addon_footer_divider_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_fb_lang_switcher_dynamic_css function.
 *
 * Footer builder - Language switcher dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_footer_lang_switcher_dynamic_css()
 *
 * @return string
 */
function adaptive_fb_lang_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_footer_lang_switcher_dynamic_css()' );
	return adaptive_addon_footer_lang_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_footer_social_dynamic_css function.
 *
 * Footer builder - Social dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_footer_social_dynamic_css()
 *
 * @return string
 */
function adaptive_footer_social_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_footer_social_dynamic_css()' );
	return adaptive_addon_footer_social_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_hb_divider_dynamic_css function.
 *
 * Header builder - Divider dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_divider_dynamic_css()
 *
 * @return string
 */
function adaptive_hb_divider_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_divider_dynamic_css()' );
	return adaptive_addon_header_divider_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_hb_button_dynamic_css function.
 *
 * Footer builder - Social dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_button_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_hb_button_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_button_dynamic_css()' );
	return adaptive_addon_header_button_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_hb_lang_switcher_dynamic_css function.
 *
 * Header builder - Language switcher dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_lang_switcher_dynamic_css()
 *
 * @return string
 */
function adaptive_hb_lang_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_lang_switcher_dynamic_css()' );
	return adaptive_addon_header_lang_switcher_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_ext_hb_menu_dynamic_css function.
 *
 * Header builder - Menu dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_menu_dynamic_css()
 *
 * @return string
 */
function adaptive_ext_hb_menu_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_menu_dynamic_css()' );
	return adaptive_addon_header_menu_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}

/**
 * Deprecating adaptive_header_social_dynamic_css function.
 *
 * Header builder - Social dynamic CSS.
 *
 * @since 3.6.2
 * @param  string $dynamic_css          Adaptive Dynamic CSS.
 * @param  string $dynamic_css_filtered Adaptive Dynamic CSS Filters.
 *
 * @see adaptive_addon_header_social_dynamic_css()
 *
 * @return string
 */
function adaptive_header_social_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' ) { // phpcs:ignore GeChiUI.NamingConventions.PrefixAllGlobals.NonPrefixedFunctionFound
	_deprecated_function( __FUNCTION__, '3.6.2', 'adaptive_addon_header_social_dynamic_css()' );
	return adaptive_addon_header_social_dynamic_css( $dynamic_css, $dynamic_css_filtered = '' );
}
