<?php
/**
 * White Lable Form
 *
 * @package Adaptive Addon
 */

?>

<form method="post" class="wrap ast-clear" action="" >
<div class="wrap ast-addon-wrap ast-clear ast-container">
	<input type="hidden" name="action" value="ast_save_general_settings">
	<h1 class="screen-reader-text"><?php esc_html_e( '品牌白标', 'adaptive-addon' ); ?></h1>

	<?php
		// Settings update message.
	if ( isset( $_REQUEST['message'] ) && ( 'saved' == $_REQUEST['message'] || 'saved_ext' == $_REQUEST['message'] ) ) { // phpcs:ignore GeChiUI.Security.NonceVerification.Recommended
		?>
			<span id="message" class="notice notice-success is-dismissive adaptive-notice"><p> <?php esc_html_e( '设置保存成功。', 'adaptive-addon' ); ?> </p></span>
			<?php
	}
	?>

	<div id="poststuff">
		<div id="post-body" class="columns-2">
			<div id="post-body-content">

				<div class="notice ast-white-label-notice"><p><span class="dashicons dashicons-info"></span><?php esc_html_e( '白色标签删除到Adaptive网站的所有链接，并更改仪表板中的标识。这种设置主要用于代理机构和为客户构建网站的开发人员。', 'adaptive-addon' ); ?></p></div>

				<ul class="ast-branding-list">
					<li>
						<div class="branding-form postbox">
							<h2 class="hndle ast-normal-cusror ui-sortable-handle">
								<span><?php esc_html_e( '机构详细信息', 'adaptive-addon' ); ?></span>
							</h2>

							<div class="inside">
								<div class="form-wrap">
									<div class="form-field">
										<label for="ast-wl-agency-author"><?php esc_html_e( '机构作者:', 'adaptive-addon' ); ?></label>
										<input type="text"
											name="ast_white_label[adaptive-agency][author]"
											id="ast-wl-agency-author"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive-agency', 'author' ) ), true, true ); ?>
											<?php echo 'value="' . esc_attr( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-agency', 'author' ) ) . '"'; ?>
										>
									</div>
									<div class="form-field">
										<label for="ast-wl-agency-author-url"><?php esc_html_e( '机构作者网址:', 'adaptive-addon' ); ?></label>
										<input type="url"
											name="ast_white_label[adaptive-agency][author_url]"
											id="ast-wl-agency-author-url"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive-agency', 'author_url' ) ), true, true ); ?>
											<?php echo 'value="' . esc_url( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-agency', 'author_url' ) ) . '"'; ?>
										>
									</div>
									<div class="form-field">
										<label for="ast-wl-agency-lic"><?php esc_html_e( '机构许可链接:', 'adaptive-addon' ); ?></label>
										<input type="url"
											name="ast_white_label[adaptive-agency][licence]"
											id="ast-wl-agency-lic"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive-agency', 'licence' ) ), true, true ); ?>
											<?php echo 'value="' . esc_url( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-agency', 'licence' ) ) . '"'; ?>
										>
										<p class="description"><?php esc_html_e( '当购买密钥过期/无效时，获取许可证链接将显示在许可证表格中。', 'adaptive-addon' ); ?></p>
									</div>
									<div class="clear"></div>
								</div>
							</div>
						</div>
					</li>
					<li>
						<div class="branding-form postbox">
							<h2 class="hndle ast-normal-cusror ui-sortable-handle">
								<span><?php esc_html_e( 'Adaptive主题品牌', 'adaptive-addon' ); ?></span>
							</h2>
							<div class="inside">
								<div class="form-wrap">
									<div class="form-field">
										<label for="ast-wl-theme-name"><?php esc_html_e( '主题名称：', 'adaptive-addon' ); ?></label>
										<input type="text"
											name="ast_white_label[adaptive][name]"
											id="ast-wl-theme-name"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive', 'name' ) ), true, true ); ?>
											<?php echo 'value="' . esc_attr( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive', 'name' ) ) . '"'; ?>
										>
									</div>
									<div class="form-field">
										<label for="ast-wl-theme-desc"><?php esc_html_e( '主题介绍：', 'adaptive-addon' ); ?></label>
										<textarea name="ast_white_label[adaptive][description]"
											id="ast-wl-theme-desc"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive', 'description' ) ), true, true ); ?>
											class="placeholder placeholder-active"
											rows="3"><?php echo esc_attr( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive', 'description' ) ); ?></textarea>
									</div>
									<div class="form-field">
										<label for="ast-wl-theme-screenshot"><?php esc_html_e( '主题URL截图:', 'adaptive-addon' ); ?>
											<i class="ast-white-label-help dashicons dashicons-editor-help" title="<?php echo esc_attr__( '推荐的图像大小是宽1200px，高900px。', 'adaptive-addon' ); ?>"></i>
										</label>
										<input type="url"
											name="ast_white_label[adaptive][screenshot]"
											id="ast-wl-theme-screenshot"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive', 'screenshot' ) ), true, true ); ?>
											<?php echo 'value="' . esc_url( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive', 'screenshot' ) ) . '"'; ?>
										>
									</div>
									<div class="clear"></div>
								</div>
							</div>
						</div>
					</li>
					<li>
						<div class="branding-form postbox">
							<h2 class="hndle ast-normal-cusror ui-sortable-handle">
								<span><?php esc_html_e( 'Adaptive Pro品牌', 'adaptive-addon' ); ?></span>
							</h2>

							<div class="inside">
								<div class="form-wrap">
									<div class="form-field">
										<label for="ast-wl-plugin-name"><?php esc_html_e( '插件名称：', 'adaptive-addon' ); ?></label>
										<input type="text"
											name="ast_white_label[adaptive-pro][name]"
											id="ast-wl-plugin-name"
											class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive-pro', 'name' ) ), true, true ); ?>
											<?php echo 'value="' . esc_attr( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-pro', 'name' ) ) . '"'; ?>
										>
									</div>
									<div class="form-field">
										<label for="ast-wl-plugin-desc"><?php esc_html_e( '插件描述:', 'adaptive-addon' ); ?></label>
										<textarea
											name="ast_white_label[adaptive-pro][description]"
											id="ast-wl-plugin-desc" class="placeholder placeholder-active"
											<?php disabled( defined( Adaptive_Ext_White_Label_Markup::branding_key_to_constant( 'adaptive-pro', 'description' ) ), true, true ); ?>
											rows="2"><?php echo esc_attr( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-pro', 'description' ) ); ?></textarea>
									</div>
									<div class="clear"></div>
								</div>
							</div>
						</div>
					</li>
					<?php
					// Add form for white label with <li> element.
					do_action( 'adaptive_addon_white_label_add_form', Adaptive_Ext_White_Label_Markup::get_white_labels() );
					?>
				</ul>
			</div>
			<div class="postbox-container" id="postbox-container-1">
				<div id="side-sortables">
					<div class="postbox ast-enable-white-label-wrapper">
						<h2 class="hndle ast-normal-cusror"><span><?php esc_html_e( '开启白色标签（White Label）', 'adaptive-addon' ); ?></span>
						</h2>
						<div class="inside">
							<div class="form-wrap">
								<div class="form-field">
									<label for="ast-wl-hide-branding">
										<input type="checkbox" id="ast-wl-hide-branding" name="ast_white_label[adaptive-agency][hide_branding]" value="1" <?php checked( Adaptive_Ext_White_Label_Markup::get_whitelabel_string( 'adaptive-agency', 'hide_branding' ), '1' ); ?>>
										<?php esc_html_e( '开启白色标签（White Label）', 'adaptive-addon' ); ?>
									</label>
									<div class="ast-white-label-desc-wrap" style="display: none;">
										<p class="admin-help"><?php esc_attr_e( '您将要启用白标（White Label）。这将删除白标签设置。', 'adaptive-addon' ); ?></p>
										<p class="admin-help"><?php esc_attr_e( '如果您想在以后访问标签设置，只需停用Adaptive Pro插件并再次启用它。', 'adaptive-addon' ); ?></p>
										<?php
										$adaptive_addon_support_link = adaptive_get_pro_url( 'https://gcadaptive.com/docs/how-to-white-label-adaptive/', 'options_page', 'sidebar', 'adaptive_pro' );
										?>

										<a href="<?php echo esc_url( $adaptive_addon_support_link ); ?>" target="_blank" rel="noopener"><?php esc_html_e( '查看全文', 'adaptive-addon' ); ?></a>
									</div>
								</div>
							</div>

							<?php submit_button( __( '保存更改', 'adaptive-addon' ), 'ast-white-label-save-btn button-primary button button-hero' ); ?>
							<?php if ( is_multisite() ) : ?>
								<p class="install-help"><strong><?php esc_html_e( '备注：', 'adaptive-addon' ); ?></strong>  <?php esc_html_e( '白标设置适用于网络中的所有站点。', 'adaptive-addon' ); ?></p>
							<?php endif; ?>
							<?php gc_nonce_field( 'white-label', 'ast-white-label-nonce' ); ?>
						</div>
					</div>

				</div>
			</div>
		</div>
		<!-- /post-body -->
		<br class="clear">
	</div>
</div>
</form>
